﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace fec_cashdrawer_demo
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        private void cmdOpenCashDrawer_Click(object sender, EventArgs e)
        {
            try
            {
                Process myProcess = new Process();
                myProcess.StartInfo.CreateNoWindow = true;
                myProcess.StartInfo.WindowStyle = ProcessWindowStyle.Hidden;
                myProcess.StartInfo.FileName = @"fec_cashdrawer_module.exe"; //FEC CashDrawer module program filename
                myProcess.StartInfo.Arguments = @"openCashDrawer"; //call FEC CashDrawer module program parameter, 
                myProcess.StartInfo.UseShellExecute = false;
                myProcess.StartInfo.RedirectStandardOutput = true;
                myProcess.StartInfo.RedirectStandardInput = true;
                myProcess.Start();
                myProcess.WaitForExit();
                myProcess.Close();
                txtLog.AppendText("Open Cash Drawer\n");

            }
            catch (System.ComponentModel.Win32Exception ex)
            {
                Console.WriteLine(ex.Message);
            }


        }

        private void cmdGetCashDrawerStatus_Click(object sender, EventArgs e)
        {
            try
            {
                Process myProcess = new Process();
                myProcess.StartInfo.CreateNoWindow = true;
                myProcess.StartInfo.WindowStyle = ProcessWindowStyle.Hidden;
                myProcess.StartInfo.FileName = @"fec_cashdrawer_module.exe"; //FEC CashDrawer module program filename
                myProcess.StartInfo.Arguments = @"detectCashDrawerClose"; //call FEC CashDrawer module program parameter, 
                myProcess.StartInfo.UseShellExecute = false;
                myProcess.StartInfo.RedirectStandardOutput = true;
                myProcess.StartInfo.RedirectStandardInput = true;
                myProcess.Start();
                txtLog.AppendText("Detect Cash Drawer Open or Close\n");

                myProcess.WaitForExit();
                int result = myProcess.ExitCode;
                if (result == 0)
                {
                    txtLog.AppendText("Cash Drawer Close\n");
                }
                if (result == 1)
                {
                    txtLog.AppendText("Cash Drawer Open\n");
                }
                myProcess.Close();
                

            }
            catch (System.ComponentModel.Win32Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
        }
    }
}
